Subject: Re: [PATCH 7/16] powerpc: add support for ps3 platform

From: Geoff Levand <[email-masked]>
Date: Tue, 21 Nov 2006 11:54:15 -0800

Christoph Hellwig wrote:
> On Tue, Nov 21, 2006 at 10:59:39PM +1100, Paul Mackerras wrote:
>> Geert Uytterhoeven writes:
>> 
>> > Indeed, and since we don't like changing all of these back and forth, it would
>> > be nice to have a definitive decision soon.
>> 
>> Put the ps3 support in arch/powerpc/platforms/ps3.  If there are
>> hypervisor-specific routines, they can have a ps3pf_ prefix if you
>> want.
> 
> The whole port is hypervisor-specific.  It should be called ps3hv or
> sonyhv (in case the plan for more hardware that's crippled by this
> hypervisor)  ps3 should be left for a bare metal port that people may
> or may not do when they have time at their hands to get rid of the
> HV that cripples the hardware.

I don't see an iserieshv, or pserieshv, or an ibmhv, or a powermacof.  I
don't think this platform should be treated any differently.  

As Paul and others requested, I will use 'platforms/ps3'.  I think that
is most natural and is what would be expected by almost all users.  I
don't think anyone can convincingly argue that ps3 is not an acceptable
name for this platform.

I will change all ps3pf references in the source to ps3, but will retain
the current HV (lv1) call interface.  I'll post a new set of patches with
these changes, plus a few more to better support multi-platform
(IBM Blade + PS3) soon.

-Geoff